1 Reply Latest reply: Feb 22, 2013 1:21 PM by seventy one
bitbybug Level 1 Level 1 (0 points)

One week ago I bought  Snow Leopard from Apple. Now I find out it's not the latest. Mine is 10.6.3 Everyone's talking about 10.6.8. Do I need it? (I hate downloading & installing software).


MacBook Pro (15-inch 2.4/2.2 GHz), Mac OS X (10.6.3)